<template>
  <div class="body">
    <v-row>
      <v-col>
        <head-bar :title="pageTitle" />
        <delivery-list :deliveries="availableDeliveries"></delivery-list>
      </v-col>
    </v-row>
    <v-row>
        <v-col cols="12" align="center">
          <v-img
            src="http://freedesignfile.com/upload/2016/05/Healthy-eating-logo-design-vector-set-11.jpg"
            height="500px"
            width="500px"
          />
        </v-col>
      </v-row>
      <v-row
      ><v-col class="text-center">
        <div class="my-2">
          <v-btn to="/login" color="primary" x-large dark>
            Click here to login
          </v-btn>
        </div>
      </v-col></v-row
    >
</div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      pageTitle: "CES'EATS Deliverer",
      deliveries: [],
    }
  },
  computed: {
    availableDeliveries(): Array<Object> {
      return this.deliveries.filter(
        (delivery: any) => delivery.status.toLowerCase() === 'pending'
      )
    },
  },
  mounted() {
    this.getDeliveries()
  },
  methods: {
    async getDeliveries() {
      this.deliveries = await this.$axios.$get(
        'http://delivery.localhost:4000/orders'
      )
    },
  },
})
</script>
